<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: 4431175 (2023-04-05 13:55:24)
//

defined('_QUICK_LP') or die("Access denied");

class sendmailQLPAddon{
	private static $_ip='';
	private static $_debug_errors=true;
	private static $_max_urls_in_text=2;
	private static $_max_text_length=500;
	private static $_log_file = "sendmail.log";
	private static $_errors_log_file = "sendmail_errors.log";
	private static $_blacklist_log_file = "blacklist.log";
	private static $_spamlist_log_file = "spamlist.log";
	public static function proceed(){
		self::$_ip = QLPSession::getInstance()->getIP();
		$fbfp =array();
		$feedback_form = QLPSession::getSubVar("feedback_form", QLPRequest::getSafe("feedback_token"));
		if(!is_null($feedback_form) && $feedback_form){
			$_feedback_form_param = QLPSession::getSubVar("feedback_form_param", $feedback_form);
			if(!is_null($_feedback_form_param) && $_feedback_form_param){
				$fbfp = json_decode($_feedback_form_param, true);
			}
		}
		QLPSession::unsetVar("feedback_form");
		QLPSession::unsetVar("feedback_form_param");
		if(QLPUtil::checkFlood(0, 1)) {
			QLPUtil::setSystemMessage(QLPText::_("Flood found"));
			self::log2file(QLPText::_("Flood found"));
			return false;
		}
		if(!count($fbfp)) {
			QLPUtil::setSystemMessage(QLPText::_("Invalid token"));
			self::log2file(QLPText::_("Invalid token"));
			return false;
		}
		if(QLPEvent::isRegistered("captcha.checkResult")){
			if(!QLPEvent::raise("captcha.checkResult")){
				QLPUtil::setSystemMessage(QLPText::_("Wrong captcha"));
				self::log2file(QLPText::_("Wrong captcha"));
				return false;
			}
		}
		$feedback_fio=QLPRequest::getSafe("feedback_fio", "");
		if($fbfp['fio']==2 && !$feedback_fio){
			QLPUtil::setSystemMessage(QLPText::_("Wrong name"));
			self::log2file(QLPText::_("Wrong name"));
			return false;
		}
		$feedback_email=QLPRequest::getSafe("feedback_email","");
		if($fbfp['email']==2 && !$feedback_email){
			QLPUtil::setSystemMessage(QLPText::_("Wrong email"));
			self::log2file(QLPText::_("Wrong email")." #1");
			return false;
		} elseif($fbfp['email'] && $feedback_email && !QLPUtil::checkEmail($feedback_email)){
			QLPUtil::setSystemMessage(QLPText::_("Wrong email"));
			self::log2file(QLPText::_("Wrong email")." #2");
			return false;
		}
		$feedback_address=QLPRequest::getSafe("feedback_address","");
		if($fbfp['address']==2 && !$feedback_address){
			QLPUtil::setSystemMessage(QLPText::_("Wrong address"));
			self::log2file(QLPText::_("Wrong address")." #1");
			return false;
		} elseif($fbfp['address'] && $feedback_address && (self::isUrl($feedback_address))){
			QLPUtil::setSystemMessage(QLPText::_("Wrong address"));
			self::log2file(QLPText::_("Wrong address")." #2");
			return false;
		}
		$feedback_city=QLPRequest::getSafe("feedback_city","");
		if($fbfp['city']==2 && !$feedback_city){
			QLPUtil::setSystemMessage(QLPText::_("Wrong city"));
			self::log2file(QLPText::_("Wrong city")." #1");
			return false;
		} elseif($fbfp['city'] && $feedback_city && (self::isUrl($feedback_city))){
			QLPUtil::setSystemMessage(QLPText::_("Wrong city"));
			self::log2file(QLPText::_("Wrong city")." #2");
			return false;
		}
		$feedback_street=QLPRequest::getSafe("feedback_street","");
		if($fbfp['street']==2 && !$feedback_street){
			QLPUtil::setSystemMessage(QLPText::_("Wrong street"));
			self::log2file(QLPText::_("Wrong street")." #1");
			return false;
		} elseif($fbfp['street'] && $feedback_street && (self::isUrl($feedback_street))){
			QLPUtil::setSystemMessage(QLPText::_("Wrong street"));
			self::log2file(QLPText::_("Wrong street")." #2");
			return false;
		}
		$feedback_house=QLPRequest::getSafe("feedback_house","");
		if($fbfp['house']==2 && !$feedback_house){
			QLPUtil::setSystemMessage(QLPText::_("Wrong house"));
			self::log2file(QLPText::_("Wrong house")." #1");
			return false;
		} elseif($fbfp['house'] && $feedback_house && (self::isUrl($feedback_house))){
			QLPUtil::setSystemMessage(QLPText::_("Wrong house"));
			self::log2file(QLPText::_("Wrong house")." #2");
			return false;
		}
		$feedback_apartment=QLPRequest::getSafe("feedback_apartment","");
		if($fbfp['apartment']==2 && !$feedback_apartment){
			QLPUtil::setSystemMessage(QLPText::_("Wrong apartment"));
			self::log2file(QLPText::_("Wrong apartment")." #1");
			return false;
		} elseif($fbfp['apartment'] && $feedback_apartment && (self::isUrl($feedback_apartment))){
			QLPUtil::setSystemMessage(QLPText::_("Wrong apartment"));
			self::log2file(QLPText::_("Wrong apartment")." #2");
			return false;
		}
		$feedback_phone=QLPRequest::getSafe("feedback_phone","");
		if($fbfp['phone']==2 && !$feedback_phone){
			QLPUtil::setSystemMessage(QLPText::_("Wrong phone"));
			self::log2file(QLPText::_("Wrong phone")." #1");
			return false;
		} elseif($fbfp['phone'] && $feedback_phone && !QLPUtil::checkPhone($feedback_phone)){
			QLPUtil::setSystemMessage(QLPText::_("Wrong phone"));
			self::log2file(QLPText::_("Wrong phone")." #2");
			return false;
		}
		$feedback_theme=trim(QLPRequest::getSafe("feedback_theme",""));
		if($fbfp['theme']==2 && !$feedback_theme){
			QLPUtil::setSystemMessage(QLPText::_("Wrong theme"));
			self::log2file(QLPText::_("Empty theme"));
			return false;
		} elseif($fbfp['theme'] && $feedback_theme && (self::isUrl($feedback_theme) || self::checkSpamList($feedback_theme))){
			QLPUtil::setSystemMessage(QLPText::_("Unable to send your message")." (Unknown error EC-0x0051)");
			self::log2file("Theme words in spamlist: ".$feedback_theme);
			return false;
		} elseif(!$feedback_theme){
			$feedback_theme = QLPText::_("Message from site");
		}
		$feedback_time=QLPRequest::getSafe("feedback_time","");
			if($fbfp['time']==2 && !$feedback_time){
			QLPUtil::setSystemMessage(QLPText::_("Wrong time"));
			self::log2file(QLPText::_("Wrong time"));
			return false;
		}
		$feedback_text=trim(QLPRequest::getSafe("feedback_text",""));
		// if(intval($fbfp['text']) $feedback_text=trim(QLPRequest::getSafe("feedback_text",""));
		// else $feedback_text="";
		if(intval($fbfp['text'])==2 && !$feedback_text){
			QLPUtil::setSystemMessage(QLPText::_("Wrong text"));
			self::log2file(QLPText::_("Wrong text"));
			return false;
		}elseif(intval($fbfp['text']) && $feedback_text && (self::isUrl($feedback_text) || self::countUrls($feedback_text) > self::$_max_urls_in_text)){
			QLPUtil::setSystemMessage(QLPText::_("Unable to send your message")." (Unknown error EC-0x0041)");
			self::log2file("Message text contains too many urls: ".$feedback_text);
			return false;
		}elseif(intval($fbfp['text']) && $feedback_text && mb_strlen($feedback_text) > self::$_max_text_length){
			QLPUtil::setSystemMessage(QLPText::_("Unable to send your message")." (Unknown error EC-0x0042)");
			self::log2file("Message text is too long: ".$feedback_text);
			return false;
		}elseif(intval($fbfp['text']) && $feedback_text && self::checkSpamList($feedback_text)){
			QLPUtil::setSystemMessage(QLPText::_("Unable to send your message")." (Unknown error EC-0x0043)");
			self::log2file("Message text words in spamlist: ".$feedback_text);
			return false;
		}elseif(!intval($fbfp['text']) && $feedback_text){
			QLPUtil::setSystemMessage(QLPText::_("Unable to send your message")." (Unknown error EC-0x0049)");
			self::log2file("Text not needed but exists");
			return false;
		}
		$feedback_agreed_pp=QLPRequest::getSafe("feedback_agreed_pp", "");
		if($fbfp['privacy_policy'] && !$feedback_agreed_pp){
			QLPUtil::setSystemMessage(QLPText::_("You must agree privacy policy"));
			self::log2file(QLPText::_("You must agree privacy policy"));
			return false;
		}
		
		$message = $feedback_fio;
		if($feedback_email) $message.= ($feedback_fio ? " " : "")."<".$feedback_email.">";
		$message.= CR_LF;
		$message.= "IP: ".self::$_ip.CR_LF;
		if($feedback_phone) $message.= QLPText::_("Contact phone").": ".$feedback_phone.CR_LF;
		if($feedback_address) $message.= QLPText::_("Address").": ".$feedback_address.CR_LF;
		if($feedback_city) $message.= QLPText::_("City").": ".$feedback_city.CR_LF;
		if($feedback_street) $message.= QLPText::_("Street").": ".$feedback_street.CR_LF;
		if($feedback_house) $message.= QLPText::_("House").": ".$feedback_house.CR_LF;
		if($feedback_apartment) $message.= QLPText::_("Apartment").": ".$feedback_apartment.CR_LF;
		if($feedback_theme) $message.= QLPText::_("Theme").": ".$feedback_theme.CR_LF;
		if($feedback_time) $message.= QLPText::_("Time to call").": ".$feedback_time.CR_LF;
		if($feedback_text) $message.= $feedback_text.CR_LF;
		if($feedback_agreed_pp) $message.= QLPText::_("I read and agread")." ".QLPText::_("with Privacy Policy").": ".date('l jS \of F Y h:i:s A').CR_LF;

		if(self::checkBlackList()){
			QLPUtil::setSystemMessage(QLPText::_("Unable to send your message")." (Unknown error EC-0x0031)");
			self::log2file("IP in blacklist");
			QLPUtil::redirect();
		}elseif(@QLPMailer::send(QLPConfig::$mailerFrom, $feedback_theme, $message))	{
			QLPUtil::setSystemMessage(QLPText::_("Your message sent"));
			if(self::$_debug_errors) QLPDebugger::log2file("Sendmail from ".self::$_ip.": ".QLPText::_("Your message sent"), self::$_log_file);
			QLPUtil::redirect();
		} else {
			QLPUtil::setSystemMessage(QLPText::_("Unable to send your message"));
			self::log2file(QLPText::_("Unable to send your message"));
		}
	}
	private static function checkBlackList(){
		$blacklist=array();
		$blacklist_file = QLP_CONFIG."blacklist.txt";
		if(!is_file($blacklist_file)) $blacklist_file = QLP_ADDONS."sendmail".DS."blacklist.txt";
		if ($fh = fopen($blacklist_file, "r")) {
			while (!feof($fh)) {
				$line=trim(fgets($fh));
				if($line) $blacklist[]=$line;
			}
			fclose($fh);
		} else {
			return true;
		}
		if(count($blacklist)){
			foreach($blacklist as $range){
				if(QLPUtil::ip_in_range(self::$_ip, $range)){
					QLPDebugger::log2file("IP ".self::$_ip." in blacklist", self::$_blacklist_log_file);
					return true;
				}
			}
		}
		return false;
	}
	private static function checkSpamList(&$text){
		$spamlist=array();
		$spamlist_file = QLP_CONFIG."spamlist.txt";
		if(!is_file($spamlist_file)) $spamlist_file = QLP_ADDONS."sendmail".DS."spamlist.txt";
		if ($fh = fopen($spamlist_file, "r")) {
			while (!feof($fh)) {
				$line=trim(fgets($fh));
				if($line) $spamlist[]=$line;
			}
			fclose($fh);
		} else {
			return true;
		}
		if(count($spamlist)){
			foreach($spamlist as $pattern){
				if(preg_match($pattern, $text)){
					QLPDebugger::log2file("[".self::$_ip."] Mask ".$pattern." in spamlist", self::$_spamlist_log_file);
					return true;
				}
			}
		}
		return false;
	}
	private static function countUrls(&$text){
		$reg_exUrl = "/(http|https|ftp|ftps)\:\/\/[a-zA-Z0-9\-\.]+\.[a-zA-Z]{2,3}(\/\S*)?/";
		preg_match_all($reg_exUrl, $text, $url, PREG_PATTERN_ORDER);
		return isset($url[0]) && is_array($url[0]) ? count($url[0]) : 0;
	}
	private static function isUrl(&$text){
		if(filter_var(trim($text), FILTER_VALIDATE_URL)) {
			QLPDebugger::log2file("[".self::$_ip."] Url found in `".$text."`", self::$_spamlist_log_file);
			return true;
		}
		return false;
	}
	private static function log2file($message=""){
		if(self::$_debug_errors) QLPDebugger::log2file("Sendmail from ".self::$_ip.": ".$message, self::$_errors_log_file);
	}
}