<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: c0d30d4 (2017-07-07 07:17:36)
//

defined('_QUICK_LP') or die("Access denied");

class QLPImage {
	private static $img_types=array('png','jpg','gif','jpeg','bmp');
	public static function getImages($data_path, $quantity){
		$images=array();
		$image_files=QLPFilesystem::getFiles($data_path, self::$img_types);
		$ini_files=QLPFilesystem::getFiles($data_path, array("ini"));
		if(count($image_files)>$quantity) $image_keys = array_rand($image_files,$quantity);
		else $image_keys=array_keys($image_files);
		if(count($image_keys)){
			foreach ($image_keys as $image_key){
				$images[$image_key]["folder"]=$image_files[$image_key]["folder"];
				$images[$image_key]["filename"]=$image_files[$image_key]["filename"];
				$ini_file=$data_path.DS.QLPFilesystem::stripExtension($image_files[$image_key]["filename"]).".ini";
				$images[$image_key]["image_title"]="";
				$images[$image_key]["image_descr"]="";
				$images[$image_key]["image_alt"]="";
				$images[$image_key]["image_link"]="";
				if(is_file($ini_file)){
					$ini_info=@parse_ini_file($ini_file);
					if (is_array($ini_info)){
						if (isset($ini_info["title"]))	$images[$image_key]["image_title"]=$ini_info["title"];
						if (isset($ini_info["description"]))	$images[$image_key]["image_descr"]=$ini_info["description"];
						if (isset($ini_info["alt"]))	$images[$image_key]["image_alt"]=$ini_info["alt"];
						if (isset($ini_info["link"]))	$images[$image_key]["image_link"]=$ini_info["link"];
					}

				}
			}

		}
		return $images;
	}
}