<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: c637f49 (2020-09-06 08:14:40)
//

defined('_QUICK_LP') or die("Access denied");

class QLPPage {
	public static function getPage($name, $params=array()){
		if(isset($params['edit_mode']) && $params['edit_mode']=="source"){
			$ext = 'txt';
		} else {
			$ext = 'html';
		}
		$_file=QLP_DATA."pages".DS.$name.".".$ext;
		if(is_file($_file)){
			$label="";
			if(QLPSession::getInstance()->canModifyFE()) $label = '<div class="modify-label"><a title="'.QLPText::_("Modify page").' &quot;'.$name.'.'.$ext.'&quot;" href="/manager.php?module=pages&amp;task=modify&amp;return=front&amp;file='.base64_encode($name.'.'.$ext).(isset($params['edit_mode']) && $params['edit_mode'] ? '&amp;edit_mode='.$params['edit_mode'] : '').'"><span class="glyphicon glyphicon-pencil"></span></a></div>';
			$source = file_get_contents($_file);
			return '<div class="inner_box_wrapper '.(isset($params['class']) && $params['class'] ? $params['class'] : 'content_page').'">'.$label.self::proceedChunks($source).'</div>';
		} else return "";
	}
	private static function proceedChunks($_source){
		$_tags = array();
		QLPTemplate::getInstance()->parseTemplate($_source, $_tags);
		if(count($_tags)) {
			$replace=array();
			$with=array();
			foreach($_tags as $key=>$tag){
				if($tag["name"]){
					$replace[]=$key;
					switch ($tag["type"]){
						case "anchor":
							$with[] = '<a class="qlp-anchor-scroller-'.$tag["name"].'"'.(QLPSession::getInstance()->canModifyFE() ? ' title="ID='.$tag["name"].'"' : '').'></a>';
							break;
						case "config":
							$with[]=QLPMain::getInstance()->getConfigVal($tag["name"]);
							break;
						case "php":
							$with[] = @call_user_func_array($tag["name"], isset($tag["params"]["arg"]) ? explode(",", $tag["params"]["arg"]) : array() );
							break;
						case "text":
							$with[] = QLPText::_($tag["name"]);
							break;
						case "widget":
							$with[] = QLPWidget::proceed($tag["name"],$tag["params"]);
							QLPDebugger::getInstance()->milestone("Proceed widget in page: ".$tag["name"]);
							break;
						default:
							$with[] ="";
							break;
					}
				}
			}
			$_source = str_replace($replace, $with, $_source);
		}
		return $_source;
	}
}