<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: fea72c2 (2020-07-20 15:58:52)
//

defined('_QUICK_LP') or die("Access denied");

class QLPSession extends QLPSimpleObject {
	private $_coname = false;
	private static $_instance = null;
	public static function createInstance() {
		if (self::$_instance == null) {
			self::$_instance = new self();
		}
	}
	public static function getInstance() {
		self::createInstance();
		return self::$_instance;
	}
	//------------------------------------------------
	private function __construct() {
		$this->initSimpleObject();
		$this->_coname=md5($_SERVER['SERVER_NAME']);
		session_start();
	}
	public function getIP() {
		return $_SERVER["REMOTE_ADDR"];
	}
	public static function getSubVar($section,$var) {
		if(isset($_SESSION[$section])&&isset($_SESSION[$section][$var])) return $_SESSION[$section][$var];
		else return null;
	}
	public static function setSubVar($section,$var,$val) {
		if(isset($_SESSION[$section])&&isset($_SESSION[$section][$var])) $old_val=$_SESSION[$section][$var];
		else $old_val=null;
		$_SESSION[$section][$var]=$val;
		return $old_val;
	}
	public static function unsetSubVar($section, $var) {
		if(isset($_SESSION[$section])&&isset($_SESSION[$section][$var])) unset($_SESSION[$section][$var]);
	}
	public static function getVar($var) {
		if(isset($_SESSION[$var])) return $_SESSION[$var];
		else return null;
	}
	public static function setVar($var,$val) {
		if(isset($_SESSION[$var])) $old_val=$_SESSION[$var];
		else $old_val=null;
		$_SESSION[$var]=$val;
		return $old_val;
	}
	public static function unsetVar($var) {
		if(isset($_SESSION[$var])) unset($_SESSION[$var]);
	}
	public function destroy() {
//		$this->delete($this->getKey());
		setcookie($this->_coname,"",0,"/");
		setcookie(session_name(),'',time()-42000,'/');
		unset($_SESSION['sess_id']);
		session_destroy();
		$this->milestone('Session destroyed', __FUNCTION__);
	}
	public function getKey(){
		return QLPRequest::getSafe("sess_id",QLPRequest::getSafe($this->_coname,"","cookie"),"session");
	}
	private function buildKey($ip,$agent,$time) {
		return sha1($ip).$agent.md5($time);
	}
	public function canModifyFE(){
		return $this->isAdmin();
	}
	public function isAdmin(){
		return $this->isLoggedIn();
	}
	public function isLoggedIn(){
		if(isset($_COOKIE["qlpmain"]) && strlen($_COOKIE["qlpmain"]) && md5($_COOKIE["qlpmain"])==self::getVar("qlpmain")){
			return true;
		} else {
			QLPSession::unsetVar("qlpmain");
			return false;
		}
	
	}
}
?>