<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: 990f26b (2020-08-06 09:56:39)
//

defined('_QUICK_LP') or die("Access denied");

class menusQLPModule extends QLPSimpleObject{
	private static $_instance = null;
			
	private static function createInstance() {
		if (self::$_instance == null) {
			self::$_instance = new self();
		}
	}
	public static function getInstance() {
		self::createInstance();
		return self::$_instance;
	}
	private function __construct() {
		$this->initSimpleObject();
	}
	public function proceed($task=""){
		switch ($task){
			case "save":
				$config="";
				$menu=QLPRequest::getSafe("menu",array());
				$link=QLPRequest::getSafe("link",array());
				$target=QLPRequest::getSafe("target",array());
				if(count($menu)==count($link)){
					foreach($menu as $k=>$v){
						$config.=$v."=\"".$link[$k]."||".$target[$k]."\"".chr(13);
					}
				}
				if(file_put_contents(QLP_DATA."menu".DS."menu.ini", $config)===false) QLPUtil::redirect("/manager.php?module=menus",QLPText::_("Failed to saved"));
				else QLPUtil::redirect("/manager.php?module=menus",QLPText::_("Settings saved"));
			break;	
			default:
				echo '<div class="panel-wrapper module-menus"><div class="row"><div class="col-md-12">';
				echo '<h1 class="panel-title table-title">'.QLPText::_("Menus").'</h1>';
				echo '<div class="table-wrapper form-table-wrapper">';
				echo '<form method="post" action="/manager.php">';
				echo '<input type="hidden" value="menus" name="module">';
				echo '<input type="hidden" value="save" name="task">';
				$class_label = 'col-sm-4 lbl';
				$class_label_title = 'col-sm-5 lbl';
				$class_data = 'col-sm-3 data';
				$class_target = 'col-sm-3 target';
				$class_toolbar = 'col-sm-1 toolbuttons';
				echo '<div class="row row-title menus-title">
						<div class="'.$class_label_title.'">'.QLPText::_("Title").'</div>
						<div class="'.$class_data.'">'.QLPText::_("Anchor ID or Link").'</div>
						<div class="'.$class_target.'">'.QLPText::_("Target if link").'</div>
						<div class="'.$class_toolbar.'"><a title="'.QLPText::_("Add").'" class="add-menu" onclick="add_menu_row();"><span class="glyphicon glyphicon-plus"></span></a></div>
					  </div>';
				echo '<div id="menus">';
				if(is_file(QLP_DATA."menu".DS."menu.ini")) $menus = parse_ini_file(QLP_DATA."menu".DS."menu.ini",false); 
				else $menus=array();
				if(!is_array($menus)) $menus=array();
				
				foreach($menus as $key=>$opt_str){
					$opt=explode("||", $opt_str);
					echo '<div class="row illuminated menus-row">
							<div class="'.$class_toolbar.'"><a title="'.QLPText::_("Delete").'" class="delete-menu" onclick="if(confirm(\''.QLPText::_("Really delete").'?\')) $(this).parents(\'div.menus-row\').remove(); else return false;"><span class="glyphicon glyphicon-remove"></span></a></div>
							<div class="'.$class_label.'"><input name="menu[]" value="'.$key.'" type="text" class="form-control numeric" required /></div>
							<div class="'.$class_data.'"><input name="link[]" value="'.(isset($opt[0]) ? $opt[0] : "").'" type="text" class="form-control numeric" required /></div>
							<div class="'.$class_target.'">
								<select name="target[]" class="form-control">
									<option value="self"'.(isset($opt[1]) && $opt[1]=="self" ? ' selected="selected"' : "").'>'.QLPText::_("This window").'</option>
									<option value="new"'.(isset($opt[1]) && $opt[1]=="new" ? ' selected="selected"' : "").'>'.QLPText::_("New window").'</option>
								</select>
							</div>
							<div class="'.$class_toolbar.'"><a title="'.QLPText::_("Move").'" class="move-menu"><span class="glyphicon glyphicon-arrow-down"></span><span class="glyphicon glyphicon-arrow-up"></span></a></div>
						  </div>';
				}
				echo '</div>';
				echo '<div class="buttons"><input class=\"button\" type="submit" value="'.QLPText::_("Save").'" /><a class="button" href="'.(QLPRequest::getSafe("return")=="front" ? "/": "/manager.php").'">'.QLPText::_("Close").'</a></div>';
				echo '</form>';
				/******************************************/
				echo '<div id="menu_template">
						<div class="row illuminated menus-row">
							<div class="'.$class_toolbar.'"><a title="'.QLPText::_("Delete").'" class="delete-menu" onclick="if(confirm(\''.QLPText::_("Really delete").'?\')) $(this).parents(\'div.menus-row\').remove(); else return false;"><span class="glyphicon glyphicon-remove"></span></a></div>
							<div class="'.$class_label.'"><input name="menu[]" value="" type="text" class="form-control numeric" required /></div>
							<div class="'.$class_data.'"><input name="link[]" value="" type="text" class=" form-control numeric" required /></div>
							<div class="'.$class_target.'">
								<select name="target[]" class="form-control">
									<option value="self">'.QLPText::_("This window").'</option>
									<option value="new">'.QLPText::_("New window").'</option>
								</select>
							</div>
							<div class="'.$class_toolbar.'"><a title="'.QLPText::_("Move").'" class="move-menu"><span class="glyphicon glyphicon-arrow-down"></span><span class="glyphicon glyphicon-arrow-up"></span></a></div>
						</div>
					  </div>';
				/******************************************/
				echo '</div>';
				echo '</div></div></div>';
			break;
		}
		return true;
	}
}