<?php 
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: fea72c2 (2020-07-20 15:58:52)
//

defined('_QUICK_LP') or die("Access denied"); 

QLPTemplate::getInstance()->addScript("/redistribution/bootstrap/js/bootstrap.min.js");
QLPTemplate::getInstance()->addStyleSheet("/redistribution/bootstrap/css/bootstrap".(QLP_MINIFIED_ASSETS ? ".min" : "").".css", true);
/**********************************************************************************************************************************/
QLPTemplate::getInstance()->addScript("/redistribution/fancybox/jquery.fancybox".(QLP_MINIFIED_ASSETS ? ".min" : "").".js");
QLPTemplate::getInstance()->addStyleSheet("/redistribution/fancybox/jquery.fancybox".(QLP_MINIFIED_ASSETS ? ".min" : "").".css", true);
QLPTemplate::getInstance()->addScript("/redistribution/js/jquery.beautifier/jquery.beautifier".(QLP_MINIFIED_ASSETS ? ".min" : "").".js");
QLPTemplate::getInstance()->addStyleSheet("/redistribution/js/jquery.beautifier/jquery.beautifier".(QLP_MINIFIED_ASSETS ? ".min" : "").".css", true);
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	{chunk type="head"}
</head>
<body>
	<div id="page-preloader" style="position: fixed;left: 0;top: 0;right: 0;bottom: 0;background: #000;z-index: 100500;">
		<span class="spinner" style="width: 200px; height: 200px; margin: -100px 0 0 -100px; position: absolute; left: 50%; top: 50%; background: url('/engine/manage/tmpl/default/images/spinner.gif') no-repeat 50% 50%;"></span>
	</div>
	<div class="box">
		<?php if (QLPsession::getInstance()->isLoggedIn()) { ?>
		<div class="admin-title-wrapper">
			<div class="container">
				<div class="row">
					<div class="col-md-12">
						<div class="admin-title">
							<div class="row">
								<div class="col-md-6 admin-title-icons">
									<a class="title-icon" title="<?php echo QLPText::_("Home"); ?>" href="/manager.php"><span class="glyphicon glyphicon-paperclip"></span></a>
									<a class="title-icon" title="<?php echo QLPText::_("Site"); ?>" href="/"><span class="glyphicon glyphicon-globe"></span></a>
									<a class="title-icon" title="<?php echo QLPText::_("Help"); ?>" href="/manager.php?module=panel&amp;task=help<?php echo "#".QLPRequest::getSafe("module");?>" target="_blank"><span class="glyphicon glyphicon-flag"></span></a>
								</div>
								<div class="col-md-6 admin-title-logo">
									<a id="logo" target="_blank" href="https://quick-lp.ru">version <?php echo QLPTemplate::getVersion(); ?></a>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php } ?>
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					{chunk type="message"}
					{chunk type="content"}
				</div>
			</div>
		</div>
		<div id="bufer_wrapper"></div>
	</div>
	<?php if (QLPSession::getInstance()->isLoggedIn()) { ?>
	<div class="admin-footer-wrapper">
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					<div class="admin-footer">Radius17 &copy; 2004-<?php echo date("Y");?></div>
				</div>
			</div>
		</div>
	</div>	
	<?php } ?>
	{chunk type="debugger"}
	{chunk type="footer"}
<?php 
QLPTemplate::getInstance()->addScript("/engine/manage/tmpl/default/js/main".(QLP_MINIFIED_ASSETS ? ".min" : "").".js");
QLPTemplate::getInstance()->addStyleSheet("/engine/manage/tmpl/default/css/main".(QLP_MINIFIED_ASSETS ? ".min" : "").".css");
?>
</body>
</html>