<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: ae40ff3 (2020-09-05 17:35:14)
//

defined('_QUICK_LP') or die("Access denied");

class ckeditorQLPPlugin extends QLPPlugin {
	protected $_events=array("editor.render");	
	public function prepare(){
		$this->registerEvents();
	}
	protected function onRaise($event, &$data) {
		switch($event){
			case "editor.render":
				QLPTemplate::getInstance()->addScript("/redistribution/ckeditor/ckeditor.js", false, false, false, false);
				$script="$(document).ready(function(){
					CKEDITOR.dtd.\$removeEmpty['span'] = false;
					CKEDITOR.replace('".$this->get("area")."',{
						startupMode:'".($this->get("edit_mode")=='source' ? 'source' : 'wysiwyg')."',
						allowedContent:true,
						extraAllowedContent: '*(*);*{*}',
						extraPlugins: 'lineutils,widget,stylesheetparser,glyphicons,fontawesome',
						contentsCss: ['/redistribution/bootstrap/css/bootstrap.css','/redistribution/font-awesome/css/font-awesome.min.css','/engine/tmpl/".QLPConfig::$siteTemplate."/css/main.css']";
				if(is_dir(QLP_SITE.'redistribution'.DS.'php'.DS.'kcfinder-master'.DS)){
					$script.=",filebrowserBrowseUrl : '/redistribution/php/kcfinder-master/browse.php?opener=ckeditor',
					filebrowserImageBrowseUrl : '/redistribution/php/kcfinder-master/browse.php?opener=ckeditor',
					filebrowserFlashBrowseUrl : '/redistribution/php/kcfinder-master/browse.php?opener=ckeditor'";
				}
				$script.="}); });";
				QLPTemplate::getInstance()->addScriptDeclaration($script);
			break;
		}
		
	}
}
/******************************************************************************
Rules for allowedContent=false
Allows any class in the editor is:
	extraAllowedContent = '*(*)';
Allows any class and any inline style.
	extraAllowedContent = '*(*);*{*}';
Allows only class="class1" and class="class2" for any tag:
	extraAllowedContent = '*(class1,class2)';
Allows only class="class1" only for div tag:
	extraAllowedContent = 'div(class1)';
Allows id attribute for any tag:
	extraAllowedContent = '*[id]';
Allows style tag (<style type="text/css">...</style>):
	extraAllowedContent = 'style';
Example:
	extraAllowedContent = 'span;ul;li;table;td;style;*[id];*(*);*{*}';
OR
	extraAllowedContent = 'div(*);center'
******************************************************************************/
?>