<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: 3b6db6b (2021-06-01 19:36:26)
//


defined('_QUICK_LP') or die("Access denied");

/* HTML5 support for old browsers */
QLPTemplate::getInstance()->addScript("/engine/tmpl/bootstrap/js/modernizr-3.6.0-custom-build.min.js");
/* normalize не нужен, он есть в Bootstrap */ //QLPTemplate::getInstance()->addStyleSheet("/engine/tmpl/".QLPConfig::$siteTemplate."/css/normalize".(QLP_MINIFIED_ASSETS ? ".min" : "").".css", true);
/* Библиотека Bootstrap */
QLPTemplate::getInstance()->addScript("/redistribution/bootstrap/js/bootstrap.min.js");
QLPTemplate::getInstance()->addStyleSheet("/redistribution/bootstrap/css/bootstrap".(QLP_MINIFIED_ASSETS ? ".min" : "").".css", true);
/* Анимация */
QLPTemplate::getInstance()->addScript("/redistribution/animate/js/wow.min.js");
QLPTemplate::getInstance()->addStyleSheet("/redistribution/animate/css/animate.min.css", true);
/* Дополнительные шрифты иконок */
QLPTemplate::getInstance()->addStyleSheet("/redistribution/font-awesome/css/font-awesome.min.css", true);
/* CSS и JS базовый */
QLPTemplate::getInstance()->addScript("/engine/tmpl/system/js/main".(QLP_MINIFIED_ASSETS ? ".min" : "").".js");
QLPTemplate::getInstance()->addStyleSheet("/engine/tmpl/system/css/main".(QLP_MINIFIED_ASSETS ? ".min" : "").".css", true);
/* CSS и JS шаблона */
QLPTemplate::getInstance()->addScript("/engine/tmpl/".QLPConfig::$siteTemplate."/js/main".(QLP_MINIFIED_ASSETS ? ".min" : "").".js");
QLPTemplate::getInstance()->addStyleSheet("/engine/tmpl/".QLPConfig::$siteTemplate."/css/main".(QLP_MINIFIED_ASSETS ? ".min" : "").".css", true);
QLPTemplate::getInstance()->addStyleSheet("/engine/tmpl/".QLPConfig::$siteTemplate."/css/custom.css");
if(QLPSession::getInstance()->canModifyFE()){
	QLPTemplate::getInstance()->addScript("/engine/tmpl/system/js/debug.js");
	QLPTemplate::getInstance()->addStyleSheet("/engine/tmpl/".QLPConfig::$siteTemplate."/css/constructor".(QLP_MINIFIED_ASSETS ? ".min" : "").".css", true);
	$constructor_file = QLPTemplate::getInstance()->getTemplateFile("constructor");
	if($constructor_file && is_file($constructor_file)){
		require_once $constructor_file;
		$constructorClassname = "templateConstructor".ucfirst(strtolower(QLPConfig::$siteTemplate));
		$constructor = new $constructorClassname;
		$constructor->init($body_template_file);
	}
}
?>
<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
<head>
	{chunk type="head"}
	<!--[if lt IE 9]>
		<script src="engine/tmpl/{chunk type="config" name="siteTemplate"}/js/html5shiv.min.js"></script>
		<script src="engine/tmpl/{chunk type="config" name="siteTemplate"}/js/respond.min.js"></script>
	<![endif]-->
</head>
<body>
	<!--[if lt IE 9]><div class="caution_ie">{chunk type="page" name="caution_ie"}</div><![endif]-->
	{chunk type="widget" name="preloader" color="#555555" spinner=""}
	<?php require_once $body_template_file;?>
	{chunk type="footer"}
	<a href="" id="go_top"></a>
	<a href="" id="go_bottom"></a>
	{chunk type="debugger"}
</body>
</html>