// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: 294eaf5 (2019-03-23 13:24:22)
//


var resizeTimer;
/* Google fonts loader */
// Examples
// loadGoogleFont('https://fonts.googleapis.com/css?family=Open+Sans+Condensed:300,700&amp;subset=cyrillic', true); // font-family: 'Open Sans Condensed';
// loadGoogleFont('https://fonts.googleapis.com/css?family=Germania+One', false); // font-family: 'Germania One';
// loadGoogleFont('https://fonts.googleapis.com/css?family=Baloo+Chettan&amp;subset=latin-ext', true); // font-family: 'Baloo Chettan';
/* MODIFIED */
function loadGoogleFont(url, put2head){
	// the 'fetch' equivalent has caching issues
	var xhr = new XMLHttpRequest();
	xhr.open('GET', url, true);
	xhr.onreadystatechange = function () {
		if (xhr.readyState == 4 && xhr.status == 200) {
			let css = xhr.responseText;
			css = css.replace(/}/g, 'font-display: swap; }');
			let targetTag = 'head';
			if(typeof(put2head) != 'undefined' && put2head===false) targetTag = 'body';
			const target = document.getElementsByTagName(targetTag)[0];
			const style = document.createElement('style');
			style.appendChild(document.createTextNode(css));
			style.setAttribute('type', 'text/css');
			style.setAttribute('data-font-source', 'google-font');
			target.appendChild(style);
		}
	};
	xhr.send();
}
/* ORIGINAL */
/*
const loadFont = (url) => {
	// the 'fetch' equivalent has caching issues
	var xhr = new XMLHttpRequest();
	xhr.open('GET', url, true);
	xhr.onreadystatechange = () => {
		if (xhr.readyState == 4 && xhr.status == 200) {
			let css = xhr.responseText;
			css = css.replace(/}/g, 'font-display: swap; }');
			const head = document.getElementsByTagName('head')[0];
			const style = document.createElement('style');
			style.appendChild(document.createTextNode(css));
			head.appendChild(style);
		}
	};
	xhr.send();
}
*/
(function() { // Avoid `console` errors in browsers that lack a console.
	var method;
	var noop = function () {};
	var methods = [
				'assert', 'clear', 'count', 'debug', 'dir', 'dirxml', 'error',
				'exception', 'group', 'groupCollapsed', 'groupEnd', 'info', 'log',
				'markTimeline', 'profile', 'profileEnd', 'table', 'time', 'timeEnd',
				'timeStamp', 'trace', 'warn'
				];
	var length = methods.length;
	var console = (window.console = window.console || {});
	while (length--) {
		method = methods[length];
		// Only stub undefined methods.
		if (!console[method]) {
			console[method] = noop;
		}
	}
}());

(function (original) {
	jQuery.fn.clone = function () {
		var result           = original.apply(this, arguments),
		my_textareas     = this.find('textarea').add(this.filter('textarea')),
		result_textareas = result.find('textarea').add(result.filter('textarea')),
		my_selects       = this.find('select').add(this.filter('select')),
		result_selects   = result.find('select').add(result.filter('select'));
		for (var i = 0, l = my_textareas.length; i < l; ++i) $(result_textareas[i]).val($(my_textareas[i]).val());
		for (var i = 0, l = my_selects.length;   i < l; ++i) {
			for (var j = 0, m = my_selects[i].options.length; j < m; ++j) {
				if (my_selects[i].options[j].selected === true) {
					result_selects[i].options[j].selected = true;
				}
			}
		}
		return result;
	};
}) (jQuery.fn.clone);

var isMobile = {
	Android: function() { return navigator.userAgent.match(/Android/i); },
	BlackBerry: function() { return navigator.userAgent.match(/BlackBerry/i); },
	iOS: function() { return navigator.userAgent.match(/iPhone|iPad|iPod/i); },
	Opera: function() { return navigator.userAgent.match(/Opera Mini|Opera Mobi/i); },
	Windows: function() { return navigator.userAgent.match(/IEMobile/i); },
	any: function() { return (isMobile.Android() || isMobile.BlackBerry() || isMobile.iOS() || isMobile.Opera() || isMobile.Windows()); }
};
var isOldIE = {
	ie7: function() { return navigator.userAgent.match(/MSIE 7/i); },
	ie8: function() { return navigator.userAgent.match(/MSIE 8/i); },
	any: function() { return (isOldIE.ie7() || isOldIE.ie8()); }
};
function qlp_popup(el){
	qlp_backcall(el);
}
function qlp_preloader_hide(){
	var preloader = $('#page-preloader'),
	spinner = preloader.find('.spinner');
	spinner.fadeOut();
	preloader.delay(350).fadeOut('slow');
}
function qlp_backcall(el){
	var prefix="";
	if($.type(el)==="string"){
		prefix=el;
	} else  if($.type($(el))!="undefined"){
		if($.type($(el).attr("rel"))!="undefined"){
			prefix=$(el).attr("rel");
		}
	}
	var html_data=$('#'+prefix+'_hidden>div').clone();
	$('#'+prefix+'_hidden').html('');
	$.fancybox({
		'content'	: html_data,
		'autoDimensions'	: true,
		'centerOnScroll'	: true,
		'titleShow'			: false,
		'scrolling'			: 'no',
		'enableNavArrows'	: false,
		'showNavArrows'		: false,
		'onComplete' : function() {
			if (typeof captureEveryLoad == 'function') captureEveryLoad('#fancybox-content');
		},
		'onCleanup': function(){},
		'onClosed': function(){
			 $('#'+prefix+'_hidden').html(html_data); 
		}
	});
}
function qlp_navyButtons(){
	$("a#go_top").hide().removeAttr("href");
	if ($(window).scrollTop() >= "250")	$("a#go_top").fadeIn("slow");
	$(window).scroll(function() {
		if ($(window).scrollTop() <= "250") $("a#go_top").fadeOut("slow");
		else $("a#go_top").fadeIn("slow");
	});
	$("a#go_bottom").hide().removeAttr("href");
	if ($(window).scrollTop() <= $(document).height() - "999") $("a#go_bottom").fadeIn("slow");
	$(window).scroll(function() {
		if ($(window).scrollTop() >= $(document).height() - "999") $("a#go_bottom").fadeOut("slow");
		else $("a#go_bottom").fadeIn("slow");
	});
	$("a#go_top").click(function() {
		$("html, body").animate({ scrollTop : 0 }, "slow");
	})
	$("a#go_bottom").click(function() {
		$("html, body").animate({scrollTop : $(document).height()}, "slow");
	})
}
function qlp_operaMini(){
	$('body').addClass('OperaMini')
}
function checkCookies(quiet_check) {
	if(quiet_check==undefined) quiet_check=0; else quiet_check=1;
	$.cookie('qlp', 'hfd4343434343hdff5656565hdff',{expires: 7});
	if ($.cookie('qlp')!='hfd4343434343hdff5656565hdff') {
		if (quiet_check==0) alert('Enable cookies first !!!');
		$.cookie('qlp', null);
		return 0;
	} else {
		$.cookie('qlp', null);
		return 1;
	}
}
function equalizeDivHeight(div4eq){
	var currentTallest = 0, currentRowStart = 0, rowDivs = new Array(), $el, topPosition = 0;
	$(div4eq).height("auto");
	$(div4eq).each(
		function() {
			$el = $(this);
			topPostion = $el.offset().top;
			if (currentRowStart != topPostion) {
				for (currentDiv = 0; currentDiv < rowDivs.length; currentDiv++) {
					rowDivs[currentDiv].height(currentTallest);
				}
				rowDivs.length = 0;
				currentRowStart = topPostion;
				currentTallest = $el.height();
				rowDivs.push($el);
			} else {
				rowDivs.push($el);
				currentTallest = (currentTallest < $el.height()) ? ($el.height()) : (currentTallest);
			}
			for (currentDiv = 0; currentDiv < rowDivs.length; currentDiv++) {
				rowDivs[currentDiv].height(currentTallest);
			}
		}
	);
}
function adaptGallery(){
	clearTimeout(resizeTimer);
	resizeTimer = setTimeout(function() {
		$('.gallery_item .floater').height(0);
		equalizeDivHeight('.gallery .gallery_item');
		$('.gallery_item .floater').each(
			function(){
				$(this).css('margin-bottom', -$(this).next('a').height()/2);
			}
		);
		$('.gallery_item .floater').height('50%');
	}, 250);
}
$(document).ready(function() {
	$('.backcall').bind('click',function(){ qlp_backcall(this); });
	$('.popup').bind('click',function(){ qlp_popup(this); });
	$('.relpopup').fancybox({
		'autoDimensions'	: true,
		'centerOnScroll'	: true,
		'titleShow'			: false,
		'scrolling'			: 'no',
		'enableNavArrows'	: false,
		'showNavArrows'		: false
	});
});
$(window).load(function(){
	equalizeDivHeight('.part .content_page');
	adaptGallery();
});
$(window).resize(function(e) {
	equalizeDivHeight('.part .content_page');
	adaptGallery();
});
