<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: 584280b (2021-06-07 15:06:00)
//

defined('_QUICK_LP') or die("Access denied");

class feedbackQLPWidget extends QLPWidget{
	public function prepare(){
		QLPTemplate::getInstance()->addScript("/redistribution/js/jquery.plugins/jquery.mask.min.js");
	}
	public function render($_render_count, $params){
		$fields = array( "fio", "email", "address", "city", "street", "house", "apartment", "phone", "theme", "time", "text", "popup", "privacy_policy" );
		foreach($fields as $field){
			if(array_key_exists($field, $params)){
				$params[$field]=intval($params[$field]);
			} else $params[$field]=0;
		}
		if(array_key_exists("class", $params)) $class=$params["class"]; else $class="";
		unset($params['name']); unset($params['cid']);
		$i=$_render_count; $script="";
		if($params["phone"]) $script.="$(document).ready(function(){ $('#feedback_phone_".$i."').mask('+0(000)-000-00-00'); });";
		if($script) QLPTemplate::getInstance()->addScriptDeclaration($script);
		$content = "<div class=\"inner_box_wrapper widget_feedback".($class ? " ".$class : "")."\">";
		$content.= "<div class=\"feedback_form\"><form name=\"feedback_form_".$i."\" method=\"post\" action=\"index.php?task=sendmail\">";
		if($params["fio"]) $content.= "<div class=\"feedback_row clearfix feedback_fio\"><label for=\"feedback_fio_".$i."\">".QLPText::_("Contact person").($params["fio"]==2 ? "<span class=\"red\">*</span>" : "")."</label><input value=\"".QLPRequest::getSafe("feedback_fio")."\" type=\"text\" name=\"feedback_fio\" id=\"feedback_fio_".$i."\"".($params["fio"]==2 ? " required" : "")." /></div>";
		if($params["email"]) $content.= "<div class=\"feedback_row clearfix feedback_email\"><label for=\"feedback_email_".$i."\">".QLPText::_("Contact email").($params["email"]==2 ? "<span class=\"red\">*</span>" : "")."</label><input value=\"".QLPRequest::getSafe("feedback_email")."\" type=\"email\" name=\"feedback_email\" id=\"feedback_email_".$i."\" class=\"email\"".($params["email"]==2 ? " required" : "")." /></div>";
		if($params["address"]) $content.= "<div class=\"feedback_row clearfix feedback_address\"><label for=\"feedback_address_".$i."\">".QLPText::_("Address").($params["address"]==2 ? "<span class=\"red\">*</span>" : "")."</label><input value=\"".QLPRequest::getSafe("feedback_address")."\" type=\"text\" name=\"feedback_address\" id=\"feedback_address_".$i."\" class=\"address\"".($params["address"]==2 ? " required" : "")." /></div>";
		if($params["city"]) $content.= "<div class=\"feedback_row clearfix feedback_city\"><label for=\"feedback_city_".$i."\">".QLPText::_("City").($params["city"]==2 ? "<span class=\"red\">*</span>" : "")."</label><input value=\"".QLPRequest::getSafe("feedback_city")."\" type=\"text\" name=\"feedback_city\" id=\"feedback_city_".$i."\" class=\"city\"".($params["city"]==2 ? " required" : "")." /></div>";
		if($params["street"]) $content.= "<div class=\"feedback_row clearfix feedback_street\"><label for=\"feedback_street_".$i."\">".QLPText::_("Street").($params["street"]==2 ? "<span class=\"red\">*</span>" : "")."</label><input value=\"".QLPRequest::getSafe("feedback_street")."\" type=\"text\" name=\"feedback_street\" id=\"feedback_street_".$i."\" class=\"street\"".($params["street"]==2 ? " required" : "")." /></div>";
		if($params["house"]) $content.= "<div class=\"feedback_row clearfix feedback_house\"><label for=\"feedback_house_".$i."\">".QLPText::_("House").($params["house"]==2 ? "<span class=\"red\">*</span>" : "")."</label><input value=\"".QLPRequest::getSafe("feedback_house")."\" type=\"text\" name=\"feedback_house\" id=\"feedback_house_".$i."\" class=\"house\"".($params["house"]==2 ? " required" : "")." /></div>";
		if($params["apartment"]) $content.= "<div class=\"feedback_row clearfix feedback_apartment\"><label for=\"feedback_apartment_".$i."\">".QLPText::_("Apartment").($params["apartment"]==2 ? "<span class=\"red\">*</span>" : "")."</label><input value=\"".QLPRequest::getSafe("feedback_apartment")."\" type=\"text\" name=\"feedback_apartment\" id=\"feedback_apartment_".$i."\" class=\"apartment\"".($params["apartment"]==2 ? " required" : "")." /></div>";
		if($params["phone"]) $content.= "<div class=\"feedback_row clearfix feedback_phone\"><label for=\"feedback_phone_".$i."\">".QLPText::_("Contact phone").($params["phone"]==2 ? "<span class=\"red\">*</span>" : "")."</label><input value=\"".QLPRequest::getSafe("feedback_phone")."\" type=\"text\" name=\"feedback_phone\" id=\"feedback_phone_".$i."\" class=\"phone\"".($params["phone"]==2 ? " required" : "")." /></div>";
		if($params["theme"]) $content.= "<div class=\"feedback_row clearfix feedback_theme\"><label for=\"feedback_theme_".$i."\">".QLPText::_("Theme").($params["theme"]==2 ? "<span class=\"red\">*</span>" : "")."</label><input value=\"".QLPRequest::getSafe("feedback_theme")."\" type=\"text\" name=\"feedback_theme\" id=\"feedback_theme_".$i."\"".($params["theme"]==2 ? " required" : "")." /></div>";
		if($params["time"]) $content.= "<div class=\"feedback_row clearfix feedback_time\"><label for=\"feedback_time_".$i."\">".QLPText::_("Time to call").($params["time"]==2 ? "<span class=\"red\">*</span>" : "")."</label><input value=\"".QLPRequest::getSafe("feedback_time")."\" type=\"text\" name=\"feedback_time\" id=\"feedback_time_".$i."\"".($params["time"]==2 ? " required" : "")." /></div>";
		if($params["text"]) $content.= "<div class=\"feedback_row clearfix feedback_text\"><label for=\"feedback_text_".$i."\">".QLPText::_("Message").($params["text"]==2 ? "<span class=\"red\">*</span>" : "")."</label><textarea name=\"feedback_text\" id=\"feedback_text_".$i."\"".($params["text"]==2 ? " required" : "").">".QLPRequest::getSafe("feedback_text")."</textarea></div>";
		/*
		if($params["privacy_policy"]){
			$content.= "<div class=\"feedback_row clearfix feedback_agreed_pp\"><label>".QLPText::_("I read and agread")." <a href=\"#.qlp-anchor-scroller-privacy_policy\"".($params["popup"] ? " target=\"_blank\"" : "").">".QLPText::_("with Privacy Policy")."</a><span class=\"red\">*</span></label><input type=\"checkbox\" id=\"feedback_agreed_pp_".$i."\" name=\"feedback_agreed_pp\" class=\"checkbox\" value=\"yes\" required></div>";
		}
		*/
		switch($params["privacy_policy"]){
			case 1:
				$content.= "<div class=\"feedback_row clearfix feedback_agreed_pp\">";
				$content.= "<label>";
				$content.= QLPText::_("I read and agread");
				$content.= "<a href=\"#.qlp-anchor-scroller-privacy_policy\"".($params["popup"] ? " target=\"_blank\"" : "")."> ".QLPText::_("with Privacy Policy")."</a>";
				$content.= "<span class=\"red\">*</span></label>";
				$content.= "<input type=\"checkbox\" id=\"feedback_agreed_pp_".$i."\" name=\"feedback_agreed_pp\" class=\"checkbox\" value=\"yes\" required></div>";
				break;
			case 2:
				$content.= "<div class=\"feedback_row clearfix feedback_agreed_pp\">";
				$content.= "<label>";
				$content.= QLPText::_("I read and agread");
				if($params["popup"]){
					$content.= "<a href=\"#.qlp-anchor-scroller-privacy_policy\" target=\"_blank\"> ".QLPText::_("with Privacy Policy")."</a>";
				} else {
					$content.= "<a class=\"popup\" rel=\"privacy_policy\"> ".QLPText::_("with Privacy Policy")."</a>";
				}
				$content.= "<span class=\"red\">*</span></label>";
				$content.= "<input type=\"checkbox\" id=\"feedback_agreed_pp_".$i."\" name=\"feedback_agreed_pp\" class=\"checkbox\" value=\"yes\" required></div>";
				break;
			case 3:
				$content.= "<div class=\"feedback_row clearfix feedback_agreed_pp\">";
				$content.= "<label>";
				$content.= QLPText::_("I read and agread with Privacy Policy");
				$content.= "<span class=\"red\">*</span></label>";
				$content.= "<input type=\"checkbox\" id=\"feedback_agreed_pp_".$i."\" name=\"feedback_agreed_pp\" class=\"checkbox\" value=\"yes\" required></div>";
				break;
			default:
				break;
		}
		$content.= "<div class=\"feedback_row clearfix feedback_captcha\">".QLPEvent::raise("captcha.renderForm")."</div>";
		$content.= "<div class=\"feedback_row clearfix feedback_buttons\"><input type=\"submit\" value=\"".QLPText::_("Send")."\" /></div>";
		$token=base64_encode(rand(700, 800).time());
		QLPUtil::setFloodPoint();
		QLPSession::setSubVar("feedback_form", $token, "feedback_form_".$i);
		QLPSession::setSubVar("feedback_form_param", "feedback_form_".$i, json_encode($params));
		$content.= "<input name=\"feedback_token\" type=\"hidden\" value=\"".$token."\" />";
		$content.= "</form></div></div>";
		return $content;
	}
}