<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: e36b116 (2018-03-23 23:43:47)
//

defined('_QUICK_LP') or die("Access denied");

class galleryQLPWidget extends QLPWidget{
	public function prepare(){
	}
	public function render($_render_count, $params){
		if(array_key_exists("gallery", $params)) $gallery=$params["gallery"]; else return "";
		if(array_key_exists("gallery-class", $params)) $gallery_class=$params["gallery-class"]; else $gallery_class="";
		if(array_key_exists("class", $params)) $class=$params["class"]; else $class="";
		if(array_key_exists("titles", $params))  $show_titles=$params["titles"]; else $show_titles="";
		if(array_key_exists("quantity", $params)) $quantity=intval($params["quantity"]); else $quantity=4;
		if(array_key_exists("navigation", $params)) $navigation=intval($params["navigation"]); else $navigation=0;
		if($quantity<2) $quantity=2;
		$data_path=QLP_DATA."gallery".DS.$gallery;
		$images=QLPImage::getImages($data_path, $quantity);
		$content = "<div class=\"inner_box_wrapper widget_gallery\">";
		$content.= "<div class=\"gallery".($gallery_class ? " ".$gallery_class : "")." clearfix\" id=\"gallery_".$_render_count."\">";
		if(count($images)){
			$content.= "<div class=\"row\">";
			foreach($images as $image){
				$image_file="/data/gallery/".$gallery."/".$image["filename"];
				$content.="<div class=\"gallery_item".($class ? " ".$class : "")."\"><div class=\"floater\"></div><a class=\"gallery_link\" rel=\"gallery".$_render_count."\" href=\"".$image_file."\">";
				$content.="<img title=\"".$image["image_title"]."\" alt=\"".$image["image_alt"]."\" src=\"".$image_file."\" />";
				if($show_titles && $image["image_title"])$content.="<span class=\"gallery_item_overlay\"></span><span class=\"gallery_title\">".$image["image_title"]."</span>";
				$content.="</a></div>";
			}
			$content.= "</div>";
		}
		$content.= "</div>";
		$content.= "</div>";
		$script="$(document).ready(function(){ 
					$('#gallery_".$_render_count." a.gallery_link').fancybox({
						'showNavArrows'		: ".($navigation ? "true" : "false").",
						'cyclic'			: ".($navigation ? "true" : "false").",
						'type'				: 'image'
					});
				})";
		QLPTemplate::getInstance()->addScriptDeclaration($script);		
		return $content; 
	}
}