<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: e2a7edf (2019-03-22 14:38:52)
//

defined('_QUICK_LP') or die("Access denied");

class yamapQLPWidget extends QLPWidget{
	public function prepare(){
		/* Old code */ // QLPTemplate::getInstance()->addScript("//api-maps.yandex.ru/2.1/?lang=ru_RU");
		$js="
			var yaMapsRequested=false;
			var myYaMaps=new Array();
			function requestYaMaps(){
				$.getScript('//api-maps.yandex.ru/2.1/?lang=ru_RU', function() {
					if(!isOldIE.ie7() && typeof(ymaps)!='undefined') {
						//console.dir(myYaMaps);
						$.each(myYaMaps, function( index, value ) {
							if(typeof(value)!='undefined'){
								// console.log( value );
								ymaps.ready(window[value]);
							} else {
								console.log(value+' is not a function');
							}
						});
					}
				});
			}
			$(window).load(function() {
				if ( yaMapsRequested==false && typeof( ymaps ) === 'undefined') {
					yaMapsRequested = setTimeout(function() {
						requestYaMaps();
					}, 5000);
				}
			});
			";
		QLPTemplate::getInstance()->addScriptDeclaration($js);
	}
	public function render($_render_count, $params){
		if(array_key_exists("coords", $params)) $coords=$params["coords"]; else return "";
		if(array_key_exists("zoom", $params)) $zoom=$params["zoom"]; else $zoom=10;
		$script="
				var myYaMap".$_render_count.";
				myYaMaps.push('ymapQLPWidgetInit".$_render_count."');
				function ymapQLPWidgetInit".$_render_count." () {
					// console.log('We are here !!!');
					// Создание экземпляра карты и его привязка к контейнеру с заданным id
					myYaMap".$_render_count." = new ymaps.Map('map".$_render_count."', {
						center: [".$coords."],
						zoom: ".$zoom."
					});
					var myPlacemark".$_render_count." = new ymaps.Placemark([".$coords."],{hintContent: '".QLPText::jsAddSlashes(QLPConfig::$siteMetaTitle)."'});
					myYaMap".$_render_count.".geoObjects.add(myPlacemark".$_render_count.");
					myYaMap".$_render_count.".behaviors.disable('scrollZoom');
					//на мобильных устройствах проверяем по userAgent браузера и отключаем перетаскивание карты
					if (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)){ myYaMap".$_render_count.".behaviors.disable('drag'); }
				}
				";
		
		/* Old code */ /*
		$script="
				var myYaMap".$_render_count.";
				if(!isOldIE.ie7() && typeof(ymaps)!='undefined') ymaps.ready(ymapQLPWidgetinit".$_render_count.");
				function ymapQLPWidgetinit".$_render_count." () {
					// Создание экземпляра карты и его привязка к контейнеру с заданным id
					myYaMap".$_render_count." = new ymaps.Map('map".$_render_count."', {
						center: [".$coords."], 
						zoom: ".$zoom."
					});
					var myPlacemark".$_render_count." = new ymaps.Placemark([".$coords."],{hintContent: '".QLPText::jsAddSlashes(QLPConfig::$siteMetaTitle)."'});
					myYaMap".$_render_count.".geoObjects.add(myPlacemark".$_render_count.");
					myYaMap".$_render_count.".behaviors.disable('scrollZoom');
					//на мобильных устройствах проверяем по userAgent браузера и отключаем перетаскивание карты
					if (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)){ myYaMap".$_render_count.".behaviors.disable('drag'); }
				}
				";
		*/
		QLPTemplate::getInstance()->addScriptDeclaration($script);
		$content = "<div class=\"inner_box_wrapper widget_yamap\"><div class=\"yamap\" id=\"map".$_render_count."\"></div></div>";
		return $content; 
	}
}